Bug 1125209 - Please port setroubleshoot to Python 3
Summary: Please port setroubleshoot to Python 3
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: setroubleshoot
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Petr Lautrbach
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 988304 1194235
Blocks: F23PYTHON3
TreeView+ depends on / blocked
 
Reported: 2014-07-31 10:28 UTC by Bohuslav "Slavek" Kabrda
Modified: 2015-08-26 04:33 UTC (History)
5 users (show)

Fixed In Version: 3.3.1-0.1.fc23
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-26 04:33:02 UTC


Attachments (Terms of Use)

Description Bohuslav "Slavek" Kabrda 2014-07-31 10:28:48 UTC
Hi, as we're slowly getting closer to F22, where Python 3 is supposed to be the default Python (hence the only one on LiveCD [1]), I'd like to ask you to port setroubleshoot to Python 3. Feel free to give me a shout if you need some help.

Thanks a lot!

[1] http://fedoraproject.org/wiki/Changes/Python_3_as_Default

Comment 1 Bohuslav "Slavek" Kabrda 2015-02-18 10:09:20 UTC
Hi, can you please do this before the deadline for Changes for F22? Otherwise we'd probably have to postpone even https://fedoraproject.org/wiki/Changes/Python_3_Migration_Improvements. Thanks.

Comment 2 Petr Lautrbach 2015-02-19 16:15:28 UTC
There are currently two blocking issues for this 
- https://bugzilla.redhat.com/show_bug.cgi?id=1194235
- sepolgen doesn't have python3 modules yet

Comment 3 Jaroslav Reznik 2015-03-03 16:10:14 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 4 Petr Lautrbach 2015-07-21 14:40:58 UTC
policycoreutils-2.4-2.fc23 adds Python3 support for sepolgen module

Comment 5 Fedora Update System 2015-08-22 16:24:54 UTC
setroubleshoot-3.3.1-0.1.fc23, setroubleshoot-plugins-3.3.1-0.1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update setroubleshoot-plugins setroubleshoot'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-13907

Comment 6 Fedora Update System 2015-08-26 04:32:57 UTC
setroubleshoot-3.3.1-0.1.fc23, setroubleshoot-plugins-3.3.1-0.1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.